xine-lib: IMediaSample_vt Struct Reference

xine-lib 1.2.12

Data Fields
IMediaSample_vt Struct Reference

`#include <interfaces.h>`

## Data Fields
long STDCALL(* | QueryInterface )(IUnknown *This, const GUID *riid, void **ppvObject)
long STDCALL(* | AddRef )(IUnknown *This)
long STDCALL(* | Release )(IUnknown *This)
HRESULT STDCALL(* | GetPointer )(IMediaSample *This, unsigned char **ppBuffer)
LONG STDCALL(* | GetSize )(IMediaSample *This)
HRESULT STDCALL(* | GetTime )(IMediaSample *This, REFERENCE_TIME *pTimeStart, REFERENCE_TIME *pTimeEnd)
HRESULT STDCALL(* | SetTime )(IMediaSample *This, REFERENCE_TIME *pTimeStart, REFERENCE_TIME *pTimeEnd)
HRESULT STDCALL(* | IsSyncPoint )(IMediaSample *This)
HRESULT STDCALL(* | SetSyncPoint )(IMediaSample *This, long bIsSyncPoint)
HRESULT STDCALL(* | IsPreroll )(IMediaSample *This)
HRESULT STDCALL(* | SetPreroll )(IMediaSample *This, long bIsPreroll)
LONG STDCALL(* | GetActualDataLength )(IMediaSample *This)
HRESULT STDCALL(* | SetActualDataLength )(IMediaSample *This, long __MIDL_0010)
HRESULT STDCALL(* | GetMediaType )(IMediaSample *This, AM_MEDIA_TYPE **ppMediaType)
HRESULT STDCALL(* | SetMediaType )(IMediaSample *This, AM_MEDIA_TYPE *pMediaType)
HRESULT STDCALL(* | IsDiscontinuity )(IMediaSample *This)
HRESULT STDCALL(* | SetDiscontinuity )(IMediaSample *This, long bDiscontinuity)
HRESULT STDCALL(* | GetMediaTime )(IMediaSample *This, long long *pTimeStart, long long *pTimeEnd)
HRESULT STDCALL(* | SetMediaTime )(IMediaSample *This, long long *pTimeStart, long long *pTimeEnd)

## Field Documentation

## ◆ AddRef

long STDCALL(* IMediaSample_vt::AddRef) (IUnknown *This)

Referenced by CMediaSampleCreate(), and MemAllocator_GetBuffer().

## ◆ GetActualDataLength

LONG STDCALL(* IMediaSample_vt::GetActualDataLength) (IMediaSample *This)

Referenced by CMediaSampleCreate(), and COutputPin_Receive().

## ◆ GetMediaTime

HRESULT STDCALL(* IMediaSample_vt::GetMediaTime) (IMediaSample *This, long long *pTimeStart, long long *pTimeEnd)

Referenced by CMediaSampleCreate().

## ◆ GetMediaType

HRESULT STDCALL(* IMediaSample_vt::GetMediaType) (IMediaSample *This, AM_MEDIA_TYPE **ppMediaType)

Referenced by CMediaSampleCreate().

## ◆ GetPointer

HRESULT STDCALL(* IMediaSample_vt::GetPointer) (IMediaSample *This, unsigned char **ppBuffer)

Referenced by CMediaSampleCreate(), COutputPin_Receive(), DS_AudioDecoder_Convert(), and DS_VideoDecoder_DecodeInternal().

## ◆ GetSize

LONG STDCALL(* IMediaSample_vt::GetSize) (IMediaSample *This)

Referenced by CMediaSampleCreate(), and COutputPin_Receive().

## ◆ GetTime

HRESULT STDCALL(* IMediaSample_vt::GetTime) (IMediaSample *This, REFERENCE_TIME *pTimeStart, REFERENCE_TIME *pTimeEnd)

Referenced by CMediaSampleCreate().

## ◆ IsDiscontinuity

HRESULT STDCALL(* IMediaSample_vt::IsDiscontinuity) (IMediaSample *This)

Referenced by CMediaSampleCreate().

## ◆ IsPreroll

HRESULT STDCALL(* IMediaSample_vt::IsPreroll) (IMediaSample *This)

Referenced by CMediaSampleCreate().

## ◆ IsSyncPoint

HRESULT STDCALL(* IMediaSample_vt::IsSyncPoint) (IMediaSample *This)

Referenced by CMediaSampleCreate().

## ◆ QueryInterface

long STDCALL(* IMediaSample_vt::QueryInterface) (IUnknown *This, const GUID *riid, void **ppvObject)

Referenced by CMediaSampleCreate().

## ◆ Release

long STDCALL(* IMediaSample_vt::Release) (IUnknown *This)

Referenced by CMediaSampleCreate(), DS_AudioDecoder_Convert(), and DS_VideoDecoder_DecodeInternal().

## ◆ SetActualDataLength

HRESULT STDCALL(* IMediaSample_vt::SetActualDataLength) (IMediaSample *This, long __MIDL_0010)

Referenced by CMediaSampleCreate(), DS_AudioDecoder_Convert(), and DS_VideoDecoder_DecodeInternal().

## ◆ SetDiscontinuity

HRESULT STDCALL(* IMediaSample_vt::SetDiscontinuity) (IMediaSample *This, long bDiscontinuity)

Referenced by CMediaSampleCreate().

## ◆ SetMediaTime

HRESULT STDCALL(* IMediaSample_vt::SetMediaTime) (IMediaSample *This, long long *pTimeStart, long long *pTimeEnd)

Referenced by CMediaSampleCreate().

## ◆ SetMediaType

HRESULT STDCALL(* IMediaSample_vt::SetMediaType) (IMediaSample *This, AM_MEDIA_TYPE *pMediaType)

Referenced by CMediaSampleCreate().

## ◆ SetPreroll

HRESULT STDCALL(* IMediaSample_vt::SetPreroll) (IMediaSample *This, long bIsPreroll)

Referenced by CMediaSampleCreate(), DS_AudioDecoder_Convert(), and DS_VideoDecoder_DecodeInternal().

## ◆ SetSyncPoint

HRESULT STDCALL(* IMediaSample_vt::SetSyncPoint) (IMediaSample *This, long bIsSyncPoint)

Referenced by CMediaSampleCreate(), DS_AudioDecoder_Convert(), and DS_VideoDecoder_DecodeInternal().

## ◆ SetTime

HRESULT STDCALL(* IMediaSample_vt::SetTime) (IMediaSample *This, REFERENCE_TIME *pTimeStart, REFERENCE_TIME *pTimeEnd)

Referenced by CMediaSampleCreate().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/libw32dll/DirectShow/interfaces.h